Is Ruby is getting further and further locked in to a specific set of
tools and libraries and if you don't use those tools you are a second
class citizen?

Case in point:

  https://github.com/erikh/rubygems-test/issues/issue/2/#comment_601820

While I realize Rake is the mainstream choice, I have been
successfully using an alternate system for years.